[geos-commits] r3276 - trunk

svn_geos at osgeo.org svn_geos at osgeo.org
Wed Apr 13 03:37:36 EDT 2011


Author: strk
Date: 2011-04-13 00:37:36 -0700 (Wed, 13 Apr 2011)
New Revision: 3276

Added:
   trunk/author.sh
Log:
Add script to be used with git-svn --authors-prog

Added: trunk/author.sh
===================================================================
--- trunk/author.sh	                        (rev 0)
+++ trunk/author.sh	2011-04-13 07:37:36 UTC (rev 3276)
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+if test x"$1" = "x"; then
+  echo "Usage: $0 <nick>" >&2
+  exit 1
+fi
+
+authors_file="`dirname $0`/authors.svn"
+
+if test ! -e "${authors_file}"; then
+  echo "Authors file ${authors_file} does not exist" >&2
+  exit 1
+fi
+
+nick="$1"
+grep  "^${nick}" "${authors_file}" | cut -d: -f2


Property changes on: trunk/author.sh
___________________________________________________________________
Added: svn:executable
   + *



More information about the geos-commits mailing list